ROX-CLib: infowin.c File Reference

- Main Page
- Data Structures
- Files
- Related Pages

- File List
- Globals

# infowin.c File Reference

A GTK+ Widget to implement a RISC OS style info window. More...

`#include "rox-clib.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <unistd.h>`
`#include <gtk/gtk.h>`
`#include "infowin.h"`
`#include "rox.h"`
`#include "rox_debug.h"`
`#include "rox_filer_action.h"`
`#include "uri.h"`
`#include <libxml/parser.h>`

## Functions
GType | rox_info_win_get_type (void)
GtkWidget * | rox_info_win_new (const gchar *program, const gchar *purpose, const gchar *version, const gchar *author, const gchar *website)
void | rox_info_win_add_browser_command (ROXInfoWin *iw, const gchar *cmd)
GtkWidget * | rox_info_win_new_from_appinfo (const char *program)
GtkWidget * | rox_info_win_get_extension_area (ROXInfoWin *iw)
GType | info_win_get_type (void)
GtkWidget * | info_win_new (const gchar *program, const gchar *purpose, const gchar *version, const gchar *author, const gchar *website)
GtkWidget * | info_win_new_from_appinfo (const gchar *program)
void | info_win_add_browser_command (ROXInfoWin *iw, const gchar *cmd)

## Detailed Description

A GTK+ Widget to implement a RISC OS style info window.

## Function Documentation

void info_win_add_browser_command | ( | ROXInfoWin * | iw,
|  | const gchar * | cmd |
| ) |  |  |

Deprecated:
  As rox_info_win_add_browser_command().

GType info_win_get_type | ( | void |  | ) |

Deprecated:
  Replaced by rox_info_win_get_type()

GtkWidget* info_win_new | ( | const gchar * | program,
|  | const gchar * | purpose,
|  | const gchar * | version,
|  | const gchar * | author,
|  | const gchar * | website |
| ) |  |  |

Deprecated:
  As rox_info_win_new() except that the window's delete_event signal is caught to turn closing the window into a hide

GtkWidget* info_win_new_from_appinfo | ( | const gchar * | program | ) |

Deprecated:
  As rox_info_win_new_from_appinfo() except that the window's delete_event signal is caught to turn closing the window into a hide

void rox_info_win_add_browser_command | ( | ROXInfoWin * | iw,
|  | const gchar * | cmd |
| ) |  |  |

Add a possible command for viewing a web page.

Parameters:

  `[in,out]` | iw | a valid info window
  `[in]` | cmd | command to add. It will be called with a single argument which is the URL to view

Deprecated:
  Web sites are now viewed using rox_uri_launch() and commands added by this function are ignored.

GtkWidget* rox_info_win_get_extension_area | ( | ROXInfoWin * | iw | ) |

Get pointer to a GtkVBox between the default contents and the dialog area with the close button. Arbitrary content may be added here.

Parameters:

  `[in,out]` | iw | a valid info window

Returns:
  pointer to a GtkVBox

GType rox_info_win_get_type | ( | void |  | ) |

Type code for an InfoWin

GtkWidget* rox_info_win_new | ( | const gchar * | program,
|  | const gchar * | purpose,
|  | const gchar * | version,
|  | const gchar * | author,
|  | const gchar * | website |
| ) |  |  |

Construct an information window for the program.

Parameters:

  `[in]` | program | name of program
  `[in]` | purpose | short description of program's function
  `[in]` | version | string describing current version
  `[in]` | author | name of author(s)
  `[in]` | website | URL where to find more information or get new versions

Returns:
  pointer to a ROXInfoWin object

Deprecated:
  Use rox_info_win_new_from_appinfo() instead.

GtkWidget* rox_info_win_new_from_appinfo | ( | const char * | program | ) |

Construct an information window for the program. The data is taken from the file `$APP_DIR/AppInfo.xml`.

Parameters:

  `[in]` | program | name of program

Returns:
  pointer to a ROXInfoWin object